Publicité
+ Répondre à la discussion
Affichage des résultats 1 à 3 sur 3
  1. #1
    Invité régulier
    Homme Profil pro
    Ingénieur commercial
    Inscrit en
    avril 2011
    Messages
    18
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Haute Savoie (Rhône Alpes)

    Informations professionnelles :
    Activité : Ingénieur commercial
    Secteur : Bâtiment

    Informations forums :
    Inscription : avril 2011
    Messages : 18
    Points : 7
    Points
    7

    Par défaut utilisation de storable

    Bonsoir à tous,

    dans un script, j'utilise le module "storable" pour sauvegarder sur disque, une structure complexe du type hash de hash. Hors il semble que storable ne soit plus compatible avec la version Perl5.16 (linux)
    Code :
    1
    2
     ./configuration_chaine.pl 
    Perl API version v5.14.0 of Storable does not match v5.16.0 at /usr/share/perl5/core_perl/XSLoader.pm line 92.
    J'ai tenté une mise à jour sans succès
    Code :
    Storable is up to date (2.30)
    Y-a-t-il une solution ? ou dois-je n'orienter vers une autre solution ? si oui laquelle ?

    merci pour votre réponse

  2. #2
    Invité régulier
    Homme Profil pro
    Ingénieur commercial
    Inscrit en
    avril 2011
    Messages
    18
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Haute Savoie (Rhône Alpes)

    Informations professionnelles :
    Activité : Ingénieur commercial
    Secteur : Bâtiment

    Informations forums :
    Inscription : avril 2011
    Messages : 18
    Points : 7
    Points
    7

    Par défaut

    bon j'ai trouvé ma réponse.

    le module storable est intégré dans le core de perl5.16 mais il était en conflit avec la version que j'avais installé à partir de cpan.

    j'ai fait le ménage et c'est de nouveau bon

  3. #3
    Expert Confirmé

    Inscrit en
    avril 2009
    Messages
    2 992
    Détails du profil
    Informations personnelles :
    Âge : 48

    Informations forums :
    Inscription : avril 2009
    Messages : 2 992
    Points : 3 423
    Points
    3 423

    Par défaut

    C'est bon à savoir, merci.

    Pour ma part, j'utilise presque exclusivement Data::Dumper (associé à do $file) pour ce type d'usage. La seule contrainte est d'utiliser des variables our.
    Plus j'apprends, et plus je mesure mon ignorance (philou67430)
    Toute technologie suffisamment avancée est indiscernable d'un script Perl (Llama book)
    Partagez vos problèmes pour que l'on partage ensemble nos solutions : je ne réponds pas aux questions techniques par message privé
    Using strict and warnings is good for you.

+ Répondre à la discussion
Cette discussion est résolue.

Liens sociaux

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •